### 5.2.3 breakpoint

`Syntax:`
  `breakpoint(` proc_name `);`
  `breakpoint(` proc_name`,` line_no `);`
`Purpose:`
  sets a breakpoint at the beginning of the specified procedure or at the given line.
  Note: Line number 1 is the first line of a library (for procedures from libraries), resp. the line with the `{`.
  A line number of -1 removes all breakpoint from that procedure.
`Example:`

      breakpoint(groebner);
      ==> breakpoint 1, at line 830 in groebner
      breakpoint(groebner, 176);
      ==> breakpoint 2, at line 176 in groebner
      breakpoint(groebner, -1);
      ==> breakpoints in groebner deleted(0x6)

See Source code debugger; ~.

User manual for Singular version 4.4.1, 2025, generated by texi2html.